org.hibernate.search.query.dsl.impl

## Class ConnectedPhraseMatchingContext

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedPhraseMatchingContext

- All Implemented Interfaces:
    FieldCustomization<PhraseMatchingContext>, PhraseMatchingContext

      public class ConnectedPhraseMatchingContext
      extends Object
      implements PhraseMatchingContext

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedPhraseMatchingContext(String fieldName, PhraseQueryContext phraseContext, org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer, QueryBuildingContext queryContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PhraseMatchingContext` | `andField(String field)` field / property the term query is executed on
    `PhraseMatchingContext` | `boostedTo(float boost)` Boost the field to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
    `PhraseMatchingContext` | `ignoreAnalyzer()` Advanced Do not execute the analyzer on the text.
    `PhraseMatchingContext` | `ignoreFieldBridge()` Do not try and find the field bridge nor apply the object / string conversion matching objects should be of type String in this case.
    `PhraseTermination` | `sentence(String sentence)` Sentence to match.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedPhraseMatchingContext

          public ConnectedPhraseMatchingContext(String fieldName,
                                                PhraseQueryContext phraseContext,
                                                org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer,
                                                QueryBuildingContext queryContext)

  - ### Method Detail

    - #### andField

          public PhraseMatchingContext andField(String field)

      Description copied from interface: `PhraseMatchingContext`
      field / property the term query is executed on
      Specified by:
        `andField` in interface `PhraseMatchingContext`
      Parameters:
        `field` - the name of the field
      Returns:
        `this` for method chaining

    - #### sentence

          public PhraseTermination sentence(String sentence)

      Description copied from interface: `PhraseMatchingContext`
      Sentence to match. It will be processed by the analyzer
      Specified by:
        `sentence` in interface `PhraseMatchingContext`
      Parameters:
        `sentence` - the sentence to match
      Returns:
        the `PhraseTermination` for method chaining

    - #### boostedTo

          public PhraseMatchingContext boostedTo(float boost)

      Description copied from interface: `FieldCustomization`
      Boost the field to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
      Specified by:
        `boostedTo` in interface `FieldCustomization<PhraseMatchingContext>`
      Parameters:
        `boost` - the boost value, it can be negative (advance)
      Returns:
        an instance of T for method chaining

    - #### ignoreAnalyzer

          public PhraseMatchingContext ignoreAnalyzer()

      Description copied from interface: `FieldCustomization`
      Advanced Do not execute the analyzer on the text. (It is usually a good idea to apply the analyzer)
      Specified by:
        `ignoreAnalyzer` in interface `FieldCustomization<PhraseMatchingContext>`
      Returns:
        an instance of T for method chaining

    - #### ignoreFieldBridge

          public PhraseMatchingContext ignoreFieldBridge()

      Description copied from interface: `FieldCustomization`
      Do not try and find the field bridge nor apply the object / string conversion matching objects should be of type String in this case.
      Specified by:
        `ignoreFieldBridge` in interface `FieldCustomization<PhraseMatchingContext>`
      Returns:
        an instance of T for method chaining

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved